{
  "format_version": "1.21.0",
  "minecraft:block": {
    "description": {
      "identifier": "fluffyalien_energistics:solar_panel",
      "menu_category": {
        "category": "items"
      }
    },
    "components": {
      "tag:minecraft:is_pickaxe_item_destructible": {},
"minecraft:custom_components": [
        "fluffyalien_energisticscore:machine",
        "fluffyalien_energistics:solar_panel"
      ],
      "tag:fluffyalien_energisticscore:machine": {},
      "tag:fluffyalien_energisticscore:io.category.energy": {},

      "minecraft:geometry": "minecraft:geometry.full_block",
      "minecraft:material_instances": {
        "*": {
          "texture": "fluffyalien_energistics:machine_casing_side"
        },
        "up": {
          "texture": "fluffyalien_energistics:solar_panel_top"
        },
        "down": {
          "texture": "fluffyalien_energistics:machine_casing_top"
        }
      },
      "minecraft:destructible_by_explosion": false,
      "minecraft:display_name": "%tile.fluffyalien_energistics.solar_panel.name\n§o§bBedrock §eEnergistics§r",
      "minecraft:destructible_by_mining": {
        "seconds_to_destroy": 1
      },
      "minecraft:tick": {
        "interval_range": [10, 10]
      }
    }
  }
}
